All new accounts created on Gitlab now require administrator approval. If you invite any collaborators, please let Flux staff know so they can approve the accounts.

Commit 6a290800 authored by Leigh B. Stoller's avatar Leigh B. Stoller

Install subversion on 6.0 inner boss (yes, I just built the packages

and they appear to install and work okay).
parent 3a97de0c
......@@ -414,8 +414,8 @@ Phase "portfixup", "Fixing up packages", sub {
ExecQuietFatal("$ENV PKG_PATH=$packagedir $PKG_ADD rsync-2.6.3_1");
};
# Temporary for template stuff
if ($FBSD_VERSION == 6) {
# Temporary for template stuff
Phase "Simple", "Looking for Simple XML Parser", sub {
if (!ExecQuiet("$PKG_INFO -x p5-XML-Simple")) {
PhaseSkip("p5-XML-Simple already installed");
......@@ -427,6 +427,17 @@ Phase "portfixup", "Fixing up packages", sub {
ExecQuietFatal("$ENV PKG_PATH=$packagedir ".
" $PKG_ADD p5-XML-Simple-2.14");
};
Phase "Subversion", "Looking for Subversion", sub {
if (!ExecQuiet("$PKG_INFO -x subversion")) {
PhaseSkip("subversion already installed");
}
PhaseFail("Must provide -p (packagedir) argument!")
if (!$packagedir);
ExecQuietFatal("$ENV PKG_PATH=$packagedir ".
" $PKG_ADD subversion-1.3.0.tbz");
};
}
if ($WINSUPPORT) {
Phase "gcc30", "Looking for GCC 3.0 and installing", sub {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment